%global pypi_name path
 
Summary:        Python module wrapper for os.path
Name:           python-path
Version:        16.7.1
Release:        2%{?dist}
License:        MIT
URL:            https://pypi.org/pypi/path
Source0:        %pypi_source
 
BuildRequires:  python3-devel python3-wheel
BuildRequires:  python3dist(pytest)

BuildArch:      noarch

%description
This package implements path objects as first-class entities, allowing common operations on 
files to be invoked on those path objects directly.
 
 
%package    -n python3-path
Summary:        Python 3 module wrapper for os.path
Provides:       python3-path = %{version}-%{release}
 
 
%description -n python3-path
This package implements path objects as first-class entities, allowing common operations on 
files to be invoked on those path objects directly.
 
 
%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires
 
 
%build
%pyproject_wheel
 
%install
%pyproject_install
 
%check
%pytest
 
%files -n python3-path
%{python3_sitelib}/path
%{python3_sitelib}/path-%{version}.dist-info/
 
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.7.1-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 16.7.1-1
- update to 16.7.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.6.0-6
- Rebuilt for python 3.11

* Mon Sep 11 2023 Xiaojie Chen <jackxjchen@tencent.com> - 16.6.0-5
- Add BR python3-wheel

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 16.6.0-1
- package init.
